'-------------
'  L2Prac.vbs - a practice Level 2 test
'-------------

Option Explicit
dim arrQuestionList(100, 8)	'array to hold the question and answer strings
dim intTotalQuestions, intScore
Const SectATest = 10, SectATotal = 21, SectAStart = 0, SectAEnd = 20, SectATestStart = 0, SectATestEnd = 9
Const SectBTest = 1,  SectBTotal = 3, SectBStart = 21, SectBEnd = 23, SectBTestIndex = 10
Const SectCTest = 20, SectCTotal = 54, SectCStart = 24, SectCEnd = 77, SectCTestStart = 11, SectCTestEnd = 30
Const SectDTest = 3,  SectDTotal = 8, SectDStart = 78, SectDEnd = 85, SectDTestStart = 31, SectDTestEnd = 33
Const SectETest = 3,  SectETotal = 9, SectEStart = 86, SectEEnd = 94, SectETestStart = 34, SectETestEnd = 36
Const TestCnt = 37,   TestPass = 32
Const QuestionCnt = 95

'fill the question array
FillArray

'set the random seed using the system clock
Randomize

'get the presentation format and present the questions
FormatSelect

'end of main program


'-----
'select the question display format
'-----
sub FormatSelect()
    dim strPrompt, strInput

	strPrompt = "NAR Level 2 Certification Test, 2009 Version 1" & vbCrLf
	strPrompt = strPrompt & "By Jonathan Sivier, NAR #56437" & vbCrLf & vbCrLf
	strPrompt = strPrompt & "Question Presentation Format" & vbCrLf & vbCrLf
	strPrompt = strPrompt & "1. All questions in order" & vbCrLf
	strPrompt = strPrompt & "2. All questions in random sequence" & vbCrLf
	strPrompt = strPrompt & "3. A sample test" & vbCrLf & vbCrLf
	strPrompt = strPrompt & "Enter a number from 1 to 3" & vbCrLf & vbCrLf
	strPrompt = strPrompt & "(press Cancel or enter nothing to end)"

	do
	    strInput = InputBox(strPrompt, "Select Format")

	    if len(strInput) = 0 Then
			exit sub
	    end if

	loop until strInput >= "1" and strInput =< "3"

	select case strInput
	    case 1 : InOrder
	    case 2 : RandSeq
	    case 3 : SampleTest
	end select

end sub 'FormatSelect


'-----
'display all the questions in order
'-----
sub InOrder()
    dim strPrompt
    dim intQuestionNum	'current question
    dim i

	'display the questions
	intScore = 0		'initially no correct answers

	intQuestionNum = 1	'start at the first question
	
	'display the section A title and questions
	SectTitle "A"

	for i = SectAStart to SectAEnd
		'display the current question
		DispQuestion i, intQuestionNum, QuestionCnt
		intQuestionNum = intQuestionNum + 1	'go to the next question
	next

	'display the section B title and questions
	SectTitle "B"

	for i = SectBStart to SectBEnd
		'display the current question
	 	DispQuestion i, intQuestionNum, QuestionCnt
		intQuestionNum = intQuestionNum + 1	'go to the next question
	next

	'display the section C title and questions
	SectTitle "C"

	for i = SectCStart to SectCEnd
		'display the current question
		DispQuestion i, intQuestionNum, QuestionCnt
		intQuestionNum = intQuestionNum + 1	'go to the next question
	next

	'display the section D title and questions
	SectTitle "D"

	for i = SectDStart to SectDEnd
		'display the current question
		DispQuestion i, intQuestionNum, QuestionCnt
		intQuestionNum = intQuestionNum + 1	'go to the next question
	next

	'display the section E title and questions
	SectTitle "E"

	for i = SectEStart to SectEEnd
		'display the current question
		DispQuestion i, intQuestionNum, QuestionCnt
		intQuestionNum = intQuestionNum + 1	'go to the next question
	next

	'display the score
	strPrompt = "You got " & intScore & " correct out of " & QuestionCnt & " questions." & vbCrLf
	MsgBox strPrompt, vbOKOnly, "Ordered Sequence"

end sub 'InOrder


'-----
'display all the questions in random order
'-----
sub RandSeq()
	dim strPrompt
	dim intQIndexArr(100), i, intSwapIndex, intTemp

	'fill the index array with the question indices in order
	for i = 0 to (QuestionCnt - 1)
		intQIndexArr(i) = i
	next

	'scramble the list
	for i = 0 to (QuestionCnt - 1)
		intSwapIndex = Int(Rnd * QuestionCnt)
		intTemp = intQIndexArr(i)
		intQIndexArr(i) = intQIndexArr(intSwapIndex)
		intQIndexArr(intSwapIndex) = intTemp
	next

'show the display order
'strPrompt = intQIndexArr(0) & " "
'for i = 1 to (QuestionCnt - 1)
'strPrompt = strPrompt & intQIndexArr(i) & " "
'next
'strPrompt = strPrompt & vbCrLf
'MsgBox strPrompt, vbOKOnly, "RandSeq"

	'display the questions
	intScore = 0		'initially no correct answers

	for i = 0 to (QuestionCnt - 1)
		'display the current question
    	DispQuestion intQIndexArr(i), i + 1, QuestionCnt
	next

	'display the score
	strPrompt = "You got " & intScore & " correct out of " & QuestionCnt & " questions." & vbCrLf
	MsgBox strPrompt, vbOKOnly, "Random Sequence"

end sub 'RandSeq


'-----
'create a sample test
'-----
sub SampleTest()
	dim strPrompt
	dim intQIndexArr(37), i
	Dim intSourceIndexArr(100), intCurrQuestNum, intRemainingSourceCnt, intSourceIndex
	Dim intCurrIndex, intTempIndex

	intCurrQuestNum = 0

	'fill the source array with the question indices for section A
	for i = 0 to (SectATotal - 1)
		intSourceIndexArr(i) = SectAStart + i
	next

	'select the questions for section A
	intRemainingSourceCnt = SectATotal
	for i = 0 to (SectATest - 1)
		intSourceIndex = Int(Rnd * intRemainingSourceCnt)
		intQIndexArr(intCurrQuestNum) = intSourceIndexArr(intSourceIndex)	'put the selected index in the question list
		intSourceIndexArr(intSourceIndex) = intSourceIndexArr(intRemainingSourceCnt - 1)	'replace the selected index
		intCurrQuestNum = intCurrQuestNum + 1	' go to the next question
		intRemainingSourceCnt = intRemainingSourceCnt - 1	'reduce the number of questions to select from
	next

	'select the question for section B
	intQIndexArr(intCurrQuestNum) = Int(Rnd * SectBTotal) + SectBStart
	intCurrQuestNum = intCurrQuestNum + 1	' go to the next question

	'fill the source array with the question indices for section C
	for i = 0 to (SectCTotal - 1)
		intSourceIndexArr(i) = SectCStart + i
	next

	'select the questions for section C
	intRemainingSourceCnt = SectCTotal
	for i = 0 to (SectCTest - 1)
		intSourceIndex = Int(Rnd * intRemainingSourceCnt)
		intQIndexArr(intCurrQuestNum) = intSourceIndexArr(intSourceIndex)	'put the selected index in the question list
		intSourceIndexArr(intSourceIndex) = intSourceIndexArr(intRemainingSourceCnt - 1)	'replace the selected index
		intCurrQuestNum = intCurrQuestNum + 1	' go to the next question
		intRemainingSourceCnt = intRemainingSourceCnt - 1	'reduce the number of questions to select from
	next

	'fill the source array with the question indices for section D
	for i = 0 to (SectDTotal - 1)
		intSourceIndexArr(i) = SectDStart + i
	next

	'select the questions for section D
	intRemainingSourceCnt = SectDTotal
	for i = 0 to (SectDTest - 1)
		intSourceIndex = Int(Rnd * intRemainingSourceCnt)
		intQIndexArr(intCurrQuestNum) = intSourceIndexArr(intSourceIndex)	'put the selected index in the question list
		intSourceIndexArr(intSourceIndex) = intSourceIndexArr(intRemainingSourceCnt - 1)	'replace the selected index
		intCurrQuestNum = intCurrQuestNum + 1	' go to the next question
		intRemainingSourceCnt = intRemainingSourceCnt - 1	'reduce the number of questions to select from
	next

	'fill the source array with the question indices for section E
	for i = 0 to (SectETotal - 1)
		intSourceIndexArr(i) = SectEStart + i
	next

	'select the questions for section E
	intRemainingSourceCnt = SectETotal
	for i = 0 to (SectETest - 1)
		intSourceIndex = Int(Rnd * intRemainingSourceCnt)
		intQIndexArr(intCurrQuestNum) = intSourceIndexArr(intSourceIndex)	'put the selected index in the question list
		intSourceIndexArr(intSourceIndex) = intSourceIndexArr(intRemainingSourceCnt - 1)	'replace the selected index
		intCurrQuestNum = intCurrQuestNum + 1	' go to the next question
		intRemainingSourceCnt = intRemainingSourceCnt - 1	'reduce the number of questions to select from
	next

	'sort the array of questions
	for i = 1 to (TestCnt - 1)
		intCurrIndex = i
		do

	    	if intQIndexArr(intCurrIndex) < intQIndexArr(intCurrIndex - 1) then
				intTempIndex = intQIndexArr(intCurrIndex - 1)
				intQIndexArr(intCurrIndex - 1) = intQIndexArr(intCurrIndex)
				intQIndexArr(intCurrIndex) = intTempIndex
				intCurrIndex = intCurrIndex - 1
			else
				intCurrIndex = 0
	    	end if

		loop until intCurrIndex = 0
	next

'show the selected question indices
'strPrompt = intQIndexArr(0) & " "
'for i = 1 to (TestCnt - 1)
'strPrompt = strPrompt & intQIndexArr(i) & " "
'next
'strPrompt = strPrompt & vbCrLf
'MsgBox strPrompt, vbOKOnly, "SampleTest"

	'display the questions
	intScore = 0		'initially no correct answers

	'display the section A title
	SectTitle "A"

	'display the section A questions
	for i = SectATestStart to SectATestEnd
		'display the current question
		DispQuestion intQIndexArr(i), i + 1, TestCnt
	next

	'display the section B title
	SectTitle "B"

	'display the section B question
	DispQuestion intQIndexArr(SectBTestIndex), SectBTestIndex + 1, TestCnt

	'display the section C title
	SectTitle "C"

	'display the section C questions
	for i = SectCTestStart to SectCTestEnd
		'display the current question
		DispQuestion intQIndexArr(i), i + 1, TestCnt
	next

	'display the section D title
	SectTitle "D"

	'display the section D questions
	for i = SectDTestStart to SectDTestEnd
		'display the current question
		DispQuestion intQIndexArr(i), i + 1, TestCnt
	next

	'display the section E title
	SectTitle "E"

	'display the section E questions
	for i = SectETestStart to SectETestEnd
		'display the current question
		DispQuestion intQIndexArr(i), i + 1, TestCnt
	next

	'display the score
	strPrompt = "You got " & intScore & " correct out of " & TestCnt & " questions." & vbCrLf
	if intScore >= TestPass then
		strPrompt = strPrompt & "Congratulations!  You passed the test." & vbCrLf
	else
		strPrompt = strPrompt & "You failed the test.  Better luck next time." & vbCrLf
	end if

	MsgBox strPrompt, vbOKOnly, "Sample Test"

end sub 'SampleTest


'-----
'display a question
'-----
sub DispQuestion(intQIndex, intQNum, intQTotal)
    dim strPrompt, strInput
    dim strQNum, strQuest, strAnsA, strAnsB, strAnsC, strAnsD, strAnswer, strExplan

'MsgBox intQIndex & " " & intQNum & " " & intQTotal, vbOKOnly, "DispQuestion"

	'get the current question
	strQNum = arrQuestionList(intQIndex, 0)
	strQuest = arrQuestionList(intQIndex, 1)
	strAnsA = arrQuestionList(intQIndex, 2)
	strAnsB = arrQuestionList(intQIndex, 3)
	strAnsC = arrQuestionList(intQIndex, 4)
	strAnsD = arrQuestionList(intQIndex, 5)
	strAnswer = arrQuestionList(intQIndex, 6)
	strExplan = arrQuestionList(intQIndex, 7)
	
	'set up the strings to be displayed
	strPrompt = "Question " & intQNum & " out of " & intQTotal & vbCrLf & vbCrLf
	strPrompt = strPrompt & strQNum & vbCrLf
	strPrompt = strPrompt & strQuest & vbCrLf & vbCrLf
	strPrompt = strPrompt & "A. " & strAnsA & vbCrLf
	strPrompt = strPrompt & "B. " & strAnsB & vbCrLf
	strPrompt = strPrompt & "C. " & strAnsC & vbCrLf
	strPrompt = strPrompt & "D. " & strAnsD & vbCrLf

	'display the question and answers and wait for a response
	strInput = InputBox(strPrompt, "Question: " & strQNum)
	if len(strInput) < 1 then
	   	exit sub
	end if

	'check the response
	strInput = UCase(left(strInput, 1))
	if strInput = strAnswer Then
		intScore = intScore + 1
		strPrompt = "Correct" & vbCrLf & vbCrLf
	else
		strPrompt = "Incorrect" & vbCrLf & vbCrLf
	end if

	'display the correct answer and explanation
	strPrompt = strPrompt & strExplan & vbCrLf
	MsgBox strPrompt, vbOKOnly , "Question: " & strQNum
	
end sub 'DispQuestion


'-----
'display the test section title
'-----
sub SectTitle(strSection)
	dim strTitle
	
	select case strSection
	    case "A" : strTitle = "Section A - Applicable Regulations" & vbCrLf
	    case "B" : strTitle = "Section B - Storage Requirements" & vbCrLf
	    case "C" : strTitle = "Section C - Range and Safety Practices" & vbCrLf
	    case "D" : strTitle = "Section D - Rocket Stability" & vbCrLf
	    case "E" : strTitle = "Section E - Rocket Motor Designations" & vbCrLf
	end select

	'display the section title
	MsgBox strTitle, vbOKOnly , "Section " & strSection
	
end sub 'SectTitle


'-----
'fill the question array
'-----
sub FillArray()

	dim qn

	'section A
	qn = 0
	arrQuestionList(qn, 0) = "A1"		'question number
	'question string
	arrQuestionList(qn, 1) = "Which of the following National Fire Protection Association standards provides a code for high power rocketry?"
	arrQuestionList(qn, 2) = "NFPA 1122"	'answer string A
	arrQuestionList(qn, 3) = "NFPA 1124"	'answer string B
	arrQuestionList(qn, 4) = "NFPA 1125"	'answer string C
	arrQuestionList(qn, 5) = "NFPA 1127"	'answer string D
	arrQuestionList(qn, 6) = "D"			'correct answer
	'explanation string
	arrQuestionList(qn, 7) = "The answer is D. NFPA 1127 is the Code for High Power Rocketry. NFPA 1122 is the Code for Model Rocketry; NFPA 1124 is the Code for the Manufacture, Transportation, and Storage of Fireworks; NFPA 1125 is the Code for the Manufacture of Model Rocket and High Power Rocket Motors."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A2"
	arrQuestionList(qn, 1) = "What part of the Federal Aviation Regulations govern rocket activity?"
	arrQuestionList(qn, 2) = "Part 95"
	arrQuestionList(qn, 3) = "Part 97"
	arrQuestionList(qn, 4) = "Part 101"
	arrQuestionList(qn, 5) = "Part 125"
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. Rocket activity is codified in Part 101, Moored Balloons, Kites, Unmanned Rockets, and Unmanned Free Balloons."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A3"
	arrQuestionList(qn, 1) = "What is the maximum launch weight allowable for a rocket which does not require FAA waiver?"
	arrQuestionList(qn, 2) = "4 ounces (113 grams)"
	arrQuestionList(qn, 3) = "4.4 ounces (125 grams)"
	arrQuestionList(qn, 4) = "1 pound (453 grams)"
	arrQuestionList(qn, 5) = "3.3 pounds (1500 grams)"
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. Part 101 no longer governs the operation of model rockets (class 1 rockets) weighing less then 3.3 pounds (1500 grams)."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A4"
	arrQuestionList(qn, 1) = "What is the maximum propellant weight allowable for a rocket which does not require an FAA waiver?"
	arrQuestionList(qn, 2) = "4 ounces (113 grams)"
	arrQuestionList(qn, 3) = "4.4 ounces (125 grams)"
	arrQuestionList(qn, 4) = "1 pound (453 grams)"
	arrQuestionList(qn, 5) = "3.3 pounds (1500 grams)"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Part 101 does not govern the operation of model rockets (class 1 rockets) using less then 125 grams of propellant."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A5"
	arrQuestionList(qn, 1) = "What is the maximum total impulse allowable for a rocket which does not require an FAA waiver?"
	arrQuestionList(qn, 2) = "80 Newton seconds"
	arrQuestionList(qn, 3) = "160 Newton seconds"
	arrQuestionList(qn, 4) = "320 Newton seconds"
	arrQuestionList(qn, 5) = "There is no impulse limit."
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. Part 101 does not specify any impulse limits."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A6"
	arrQuestionList(qn, 1) = "What is the maximum launch weight allowable for a rocket when complying with the FAA FAR 101 regulations for no waiver required?"
	arrQuestionList(qn, 2) = "4 ounces (113 grams)"
	arrQuestionList(qn, 3) = "4.4 ounces (125 grams)"
	arrQuestionList(qn, 4) = "1 pound (453 grams)"
	arrQuestionList(qn, 5) = "3.3 pounds (1500 grams)"
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. Part 101 allows operation of class 1 model rockets weighing no more than 1500 grams (3.3 pounds) without a waiver."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A7"
	arrQuestionList(qn, 1) = "What is the maximum propellant weight allowable for a rocket without needing an FAA waiver?"
	arrQuestionList(qn, 2) = "4 ounces (113 grams)"
	arrQuestionList(qn, 3) = "4.4 ounces (125 grams)"
	arrQuestionList(qn, 4) = "1 pound (453 grams)"
	arrQuestionList(qn, 5) = "3.3 pounds (1500 grams)"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Part 101 allows operation of class 1 model rockets using not more than 125 grams (4.4 ounces) of propellant without an FAA waiver."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A8"
	arrQuestionList(qn, 1) = "Which of the following is a requirement for high power certification? [Note: Excludes NAR Jr. HPR program]:"
	arrQuestionList(qn, 2) = "The ability to understand written English instructions"
	arrQuestionList(qn, 3) = "A minimum of 18 years of age"
	arrQuestionList(qn, 4) = "A citizen of the United States of America"
	arrQuestionList(qn, 5) = "No felony convictions"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Refer to paragraph 5.4.1 of NFPA 1127, 2008 edition."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A9"
	arrQuestionList(qn, 1) = "What is the maximum total impulse permitted in a high power rocket per NFPA 1127?"
	arrQuestionList(qn, 2) = "81,920 Newton seconds"
	arrQuestionList(qn, 3) = "40,960 Newton seconds"
	arrQuestionList(qn, 4) = "20,480 Newton seconds"
	arrQuestionList(qn, 5) = "There is no limit provided the FAA altitude waiver requirements are not exceeded."
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Refer to paragraph 4.9.2 of NFPA 1127, 2008 edition."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A10"
	arrQuestionList(qn, 1) = "What is the maximum allowable weight for a high power rocket permitted per NFPA 1127?"
	arrQuestionList(qn, 2) = "100 pounds"
	arrQuestionList(qn, 3) = "400 pounds"
	arrQuestionList(qn, 4) = "3069 pounds"
	arrQuestionList(qn, 5) = "There is no limit provided the rocket weighs less than 1/3 of the average certified thrust of the motors intended to be ignited at launch."
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. Refer to NFPA 1127, 2008 edition paragraph 4.9.1."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A11"
	arrQuestionList(qn, 1) = "What is the minimum age for user certification? [Note: Excludes NAR Jr. HPR program]?"
	arrQuestionList(qn, 2) = "16 years old"
	arrQuestionList(qn, 3) = "18 years old"
	arrQuestionList(qn, 4) = "21 years old"
	arrQuestionList(qn, 5) = "25 years old"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Refer to NFPA 1127, 2008 edition, paragraph 5.4.1."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A12"
	arrQuestionList(qn, 1) = "Which of the following characteristics does not meet the definition of a High Power Rocket Motor?"
	arrQuestionList(qn, 2) = "Total impulse is more than 160 Newton seconds"
	arrQuestionList(qn, 3) = "The motor uses a composite propellant"
	arrQuestionList(qn, 4) = "Average thrust greater than 80 Newtons"
	arrQuestionList(qn, 5) = "Propellant weight greater than 62.5 g"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Refer to NFPA 1127, 2008 edition, paragraph 3.3.15.1."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A13"
	arrQuestionList(qn, 1) = "Which of the following is (are) true of a complex high power rocket per NFPA 1127?"
	arrQuestionList(qn, 2) = "The rocket is multi-staged or propelled by a cluster of rocket motors"
	arrQuestionList(qn, 3) = "The rocket contains electrical or electronic devices intended for control of the rockets functions, e.g. staging, recovery initiation"
	arrQuestionList(qn, 4) = "The rocket uses other than parachute or streamer recovery, e.g. helicopter or glide recovery"
	arrQuestionList(qn, 5) = "Both A and B above"
	arrQuestionList(qn, 6) = "A"
	arrQuestionList(qn, 7) = "The answer is A. Refer to NFPA 1127, 2008 edition, paragraph 3.3.13.1.1."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A14"
	arrQuestionList(qn, 1) = "A launch site is defined as containing areas for which of the following activities?"
	arrQuestionList(qn, 2) = "Launching"
	arrQuestionList(qn, 3) = "Recovery"
	arrQuestionList(qn, 4) = "Parking"
	arrQuestionList(qn, 5) = "All of the above"
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. Refer to NFPA 1127, 2008 edition, paragraph 3.3.9."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A15"
	arrQuestionList(qn, 1) = "A person shall fly a high power rocket only in compliance with:"
	arrQuestionList(qn, 2) = "NFPA 1127"
	arrQuestionList(qn, 3) = "Federal Aviation Administration Regulations, Part 101"
	arrQuestionList(qn, 4) = "Federal, state, and local laws, rules, regulations, statutes, and ordinances"
	arrQuestionList(qn, 5) = "All of the above"
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. Refer to NFPA 1127, 2008 edition, paragraph 4.3."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A16"
	arrQuestionList(qn, 1) = "Which of the following statements is always true concerning the definition of a hybrid rocket motor?"
	arrQuestionList(qn, 2) = "The fuel component is composed of either paper or plastic."
	arrQuestionList(qn, 3) = "The fuel is in a different physical state (solid, liquid, or gaseous) than the oxidizer."
	arrQuestionList(qn, 4) = "The oxidizer component is nitrous oxide."
	arrQuestionList(qn, 5) = "Both A and C above"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Refer to NFPA 1127, 2008 edition, paragraph 3.3.15.2, for the definition of a hybrid rocket motor."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A17"
	arrQuestionList(qn, 1) = "Per the ATF-Explosives Law and Regulation (Orange Book) what kind of explosive material is black powder?"
	arrQuestionList(qn, 2) = "High Explosive"
	arrQuestionList(qn, 3) = "Low Explosive"
	arrQuestionList(qn, 4) = "Blasting Agent"
	arrQuestionList(qn, 5) = "Non-explosive"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Refer to section 55.202 (b) of the ATF Refer to Federal Explosives Law and Regulations (Orange Book), 9/2000 revision."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A18"
	arrQuestionList(qn, 1) = "The minimum age for an explosive permit application is:"
	arrQuestionList(qn, 2) = "16 years or older"
	arrQuestionList(qn, 3) = "18 years or older"
	arrQuestionList(qn, 4) = "21 years or older"
	arrQuestionList(qn, 5) = "25 years or older"
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. Refer to Federal Explosives Law and Regulations (Orange Book), 9/2000 revision, 55.49(b)(1)."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A19"
	arrQuestionList(qn, 1) = "Which of the following statements are true concerning the definition of a High Power Rocket Motor?"
	arrQuestionList(qn, 2) = "Total impulse is less than 81,920 Newton seconds"
	arrQuestionList(qn, 3) = "The total impulse is more than 160 Newton-seconds"
	arrQuestionList(qn, 4) = "Both A and B above"
	arrQuestionList(qn, 5) = "The motor must use either fiberglass or metal case materials"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Refer to NFPA 1127, 2008 edition, paragraph 13.3.15.1, for the definition of a high power rocket motor."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A21"
	arrQuestionList(qn, 1) = "A certified individual wants to purchase a L motor reloadable casing at a launch in a state other than his residence. Which of the following is true?"
	arrQuestionList(qn, 2) = "He must possess an Explosives Users Permit."
	arrQuestionList(qn, 3) = "He does not require an Explosives Users Permit."
	arrQuestionList(qn, 4) = "He must pay in advance for the motor purchase."
	arrQuestionList(qn, 5) = "He must use the reload kit on the same day as purchase."
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Refer to NFPA 1127, 2008 edition, paragraph 5.2.1."
	qn = qn + 1

	arrQuestionList(qn, 0) = "A23"
	arrQuestionList(qn, 1) = "Which of the following (hypothetical) rocket motors is NOT a High Power Rocket Motor?"
	arrQuestionList(qn, 2) = "An F90 with 40g of propellant"
	arrQuestionList(qn, 3) = "An H60 with 62 g of propellant"
	arrQuestionList(qn, 4) = "A G35 with 66 g of propellant"
	arrQuestionList(qn, 5) = "All of the above are High Power Rocket Motors."
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. A High Power Rocket Motor has more than 160 Newton-seconds of total impulse, or an average thrust greater than 80 Newtons, or more than 62.5 g of propellant. A has an average thrust greater than 80 Newtons; B has more than 160 Newton-seconds of total impulse (its an H motor); C has more than 62.5g of propellant. Refer to NFPA 1127, 2008 edition, paragraph 3.3.15.1"
	qn = qn + 1

	'section B
	arrQuestionList(qn, 0) = "B1"
	arrQuestionList(qn, 1) = "What is the maximum net propellant weight that may be stored in a indoor Type 3 or Type 4 magazine?"
	arrQuestionList(qn, 2) = "10 pounds"
	arrQuestionList(qn, 3) = "25 pounds"
	arrQuestionList(qn, 4) = "50 pounds"
	arrQuestionList(qn, 5) = "100 pounds"
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. Refer to NFPA 1127, 2008 edition, paragraph 4.19.2."
	qn = qn + 1

	arrQuestionList(qn, 0) = "B2"
	arrQuestionList(qn, 1) = "Which of the following is not a requirement for an indoor magazine?"
	arrQuestionList(qn, 2) = "The magazine must be painted red."
	arrQuestionList(qn, 3) = "The magazine must bear the words EXPLOSIVES KEEP FIRE AWAY."
	arrQuestionList(qn, 4) = "The magazine must bear the words 50 POUND MAXIMUM"
	arrQuestionList(qn, 5) = "The lettering is printed in white letters at least 3 inches high."
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. Refer to NFPA 1127, 2008 edition, paragraph 4.19.2.1."
	qn = qn + 1

	arrQuestionList(qn, 0) = "B3"
	arrQuestionList(qn, 1) = "According to NFPA, in which of the following locations can a Type 3 or Type 4 magazine be permitted, assuming the authority having jurisdiction and the BATF approve?"
	arrQuestionList(qn, 2) = "In the attached garage of a single family residence"
	arrQuestionList(qn, 3) = "In the utility or laundry room of a multi-family residence"
	arrQuestionList(qn, 4) = "In the bedroom closet for a non-smoker resident"
	arrQuestionList(qn, 5) = "Anywhere inside the house at least 10 feet away from flame producing appliances (stove, water heater, etc.)"
	arrQuestionList(qn, 6) = "A"
	arrQuestionList(qn, 7) = "The answer is A. Refer to NFPA 1127, 2008 edition, paragraph 4.19.2.2 through 4.19.2.4."
	qn = qn + 1

	'section C
	arrQuestionList(qn, 0) = "C1"
	arrQuestionList(qn, 1) = "What is the maximum launch angle, measured from the vertical, for a high power rocket?"
	arrQuestionList(qn, 2) = "10 degrees"
	arrQuestionList(qn, 3) = "15 degrees"
	arrQuestionList(qn, 4) = "20 degrees"
	arrQuestionList(qn, 5) = "25 degrees"
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. Refer to section 15 of the NAR High Power Rocket Safety Code, and NFPA 1127, 2008 edition, paragraph 4.12.3."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C2"
	arrQuestionList(qn, 1) = "What is the maximum wind velocity allowable for launch operations?"
	arrQuestionList(qn, 2) = "20 miles per hour"
	arrQuestionList(qn, 3) = "25 miles per hour"
	arrQuestionList(qn, 4) = "15 miles per hour"
	arrQuestionList(qn, 5) = "30 miles per hour"
	arrQuestionList(qn, 6) = "A"
	arrQuestionList(qn, 7) = "The answer is A. Refer to section 13 of the NAR High Power Rocket Safety Code, and NFPA 1127, 2008 edition, paragraph 4.17.2."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C3"
	arrQuestionList(qn, 1) = "The minimum launch site dimension for your field is l500 feet. Assuming no public highways or occupied buildings in the area, what is the minimum distance between the launch site boundary and the launcher for a 320 Newton-second motor?"
	arrQuestionList(qn, 2) = "100 feet"
	arrQuestionList(qn, 3) = "320 feet"
	arrQuestionList(qn, 4) = "750 feet"
	arrQuestionList(qn, 5) = "The launcher may be located anywhere on the launch site to compensate for wind."
	arrQuestionList(qn, 6) = "A"
	arrQuestionList(qn, 7) = "The answer is A. The launcher shall be no closer than the Minimum Personnel Distance from any boundary of the launch site, and the Minimum Personnel Distance for an H motor (320 Nsec) is 100 feet. Refer to section 11 of the NAR High Power Rocket Safety Code (revision 7/2006) and NFPA 1127, 2008 edition, paragraph 4.15.4."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C4"
	arrQuestionList(qn, 1) = "You plan to break the altitude record for H motors with a flight to 10,900 feet. You have a field that is 6000 feet by 6000 feet. You have an FAA waiver up to 12,000 feet. Assuming no public highways or occupied buildings are in the area, what is the minimum distance between the launch site boundary and the launcher for an H-powered altitude record attempt?"
	arrQuestionList(qn, 2) = "100 feet"
	arrQuestionList(qn, 3) = "1500 feet"
	arrQuestionList(qn, 4) = "3000 feet"
	arrQuestionList(qn, 5) = "The launcher may be located anywhere on the launch site to compensate for wind."
	arrQuestionList(qn, 6) = "A"
	arrQuestionList(qn, 7) = "The answer is A. The launcher shall be no closer than the Minimum Personnel Distance from any boundary of the launch site, and the Minimum Personnel Distance for an H motor (320 Nsec) is 100 feet. This is part of a set of recent changes to the Safety Code. Refer to section 11 of the NAR High Power Rocket Safety Code (revision 7/2006), and NFPA 1127, 2008 edition, paragraph 4.15.4."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C5"
	arrQuestionList(qn, 1) = "The FAA has granted a waiver for high power rocket flight to 18000 feet for your event. Flights up to that altitude are expected. What is the minimum launch site dimension?"
	arrQuestionList(qn, 2) = "1800 feet"
	arrQuestionList(qn, 3) = "4500 feet"
	arrQuestionList(qn, 4) = "9000 feet"
	arrQuestionList(qn, 5) = "18000 feet"
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. The size of the launch site is no less than one half (1/2) of the maximum altitude expected, calculated, simulated, or granted (by FAA waiver/authority having jurisdiction). Refer to section 10 of the NAR High Power Rocket Safety Code (revision 7/2006), and NFPA 1127, 2008 edition, paragraph 4.14.2"
	qn = qn + 1

	arrQuestionList(qn, 0) = "C6"
	arrQuestionList(qn, 1) = "The FAA has granted a waiver for high power rocket flight to 2500 feet for your 2xN cluster-powered rocket. What are the minimum launch site dimensions?"
	arrQuestionList(qn, 2) = "500 feet"
	arrQuestionList(qn, 3) = "1250 feet"
	arrQuestionList(qn, 4) = "1500 feet"
	arrQuestionList(qn, 5) = "4000 feet"
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. The minimum size of the launch site is no less than one-half (1/2) of the maximum altitude expected, calculated, simulated, or granted (by FAA waiver/authority having jurisdiction), or 1500 feet, which ever is greater. However, in this case, the launcher has to be the minimum personnel distance (which for an 0-impulse cluster is 2000) from the edges of the launch site, even for a waiver of only 2500 feet. Refer to NFPA 1127, 2008 edition, paragraphs 4.14.2 (2), and to Sections 10 and 11 of the NAR High Power Rocket Safety Code (revision 7/2006)."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C7"
	arrQuestionList(qn, 1) = "In no case shall the minimum launch site dimension be less than ___ the estimated altitude of the high power rocket or _________."
	arrQuestionList(qn, 2) = "1/4, 1500 feet"
	arrQuestionList(qn, 3) = "1/2, 1500 feet"
	arrQuestionList(qn, 4) = "1/4, 2500 feet"
	arrQuestionList(qn, 5) = "1/2, 2500 feet"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Refer to NFPA 1127, 2008 edition, paragraphs 4.14.1 through 4.14.2, and NAR High Power Rocket Safety Code (revision 7/2006), Section 10."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C8"
	arrQuestionList(qn, 1) = "Your launch site borders on an interstate freeway. What is the minimum distance allowable for location of a high power launch pad from the interstate freeway?"
	arrQuestionList(qn, 2) = "750 feet"
	arrQuestionList(qn, 3) = "1500 feet"
	arrQuestionList(qn, 4) = "3000 feet"
	arrQuestionList(qn, 5) = "5280 feet (1 mile)"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The correct answer is B. Refer to NFPA 1127, 2008 edition, paragraph 4.15.3, and NAR High Power Rocket Safety Code (revision 7/2006), Section 11."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C9"
	arrQuestionList(qn, 1) = "A farm owner offers you his farm for a launch site. His house is located in the middle of the farm, which is two miles square. What is the minimum distance allowable for location of a high power launch pad from the owners house, assuming it is occupied?"
	arrQuestionList(qn, 2) = "750 feet"
	arrQuestionList(qn, 3) = "1500 feet"
	arrQuestionList(qn, 4) = "3000 feet"
	arrQuestionList(qn, 5) = "You cannot launch unless the house is empty."
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. This was clarified in the NAR High Power Rocket Safety Code (revision 7/2006), Section 11, and Paragraph 4.15.3 of NFPA 1127, 2008 edition. When occupied structures or busy roads are near the launch site, a 1500 foot minimum separation is required between the launcher and the road or building. Note that you will have to define a launch site on the farm that does not contain the house, and for which you can place the pads at least 1500 feet from the house."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C10"
	arrQuestionList(qn, 1) = "A farm owner offers you his farm for a launch site. His house is located in the middle of the farm, which is a half mile by a half mile square. Assuming you can get an FAA waiver for 2500 feet, can you conduct a high power launch from this farm?"
	arrQuestionList(qn, 2) = "Yes."
	arrQuestionList(qn, 3) = "Yes, but the pads have to be the minimum personnel distance from the edge of the field."
	arrQuestionList(qn, 4) = "Yes, but the house has to be empty."
	arrQuestionList(qn, 5) = "No."
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. See the NAR High Power Rocket Safety Code (revision 7/2008), Section 10, and Paragraph 4.14.1 through 4.14.2 of NFPA 1127, 2008 edition. The launch site must be at least 1500 feet square, and may not contain buildings. You may be able to construct a launch site using part of that farm and that of a neighbor, if the adjoining land has no buildings, as long as the house is excluded. If the pads for this larger site are within 1500 of the house, the house has to be unoccupied."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C11"
	arrQuestionList(qn, 1) = "What is the minimum safe distance from a high power rocket containing a single I motor?"
	arrQuestionList(qn, 2) = "200 feet"
	arrQuestionList(qn, 3) = "100 feet"
	arrQuestionList(qn, 4) = "75 feet"
	arrQuestionList(qn, 5) = "50 feet"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Refer to Table 4.16.3 of NFPA 1127, 2008 edition, and the safe distance table in the NAR High Power Rocket safety code (revised 7/2007)."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C12"
	arrQuestionList(qn, 1) = "What is the minimum safe distance from a high power rocket containing three H motors?"
	arrQuestionList(qn, 2) = "200 feet"
	arrQuestionList(qn, 3) = "100 feet"
	arrQuestionList(qn, 4) = "75 feet"
	arrQuestionList(qn, 5) = "50 feet"
	arrQuestionList(qn, 6) = "A"
	arrQuestionList(qn, 7) = "The answer is A. Refer to Table 4.16.3 of NFPA 1127, 2008 edition, and the safe distance table in the NAR High Power Rocket safety code (revised 7/2007)."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C13"
	arrQuestionList(qn, 1) = "What is the minimum safe distance from a high power rocket containing two K motors?"
	arrQuestionList(qn, 2) = "50 feet"
	arrQuestionList(qn, 3) = "100 feet"
	arrQuestionList(qn, 4) = "300 feet"
	arrQuestionList(qn, 5) = "500 feet"
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. Refer to Table 4.16.3 of NFPA 1127, 2008 edition, and the safe distance table in the NAR High Power Rocket safety code (revised 7/2007)."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C14"
	arrQuestionList(qn, 1) = "Which of the following igniters may be ignited by the continuity test of some launch controllers?"
	arrQuestionList(qn, 2) = "Nichrome wire"
	arrQuestionList(qn, 3) = "Flashbulbs"
	arrQuestionList(qn, 4) = "Very low current electric matches"
	arrQuestionList(qn, 5) = "Both b and c above"
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. Refer to the Handbook of Model Rocketry by G. Harry Stine, 6th edition, Chapter 6 on Ignition and Ignition Systems. Look at page 94. Some electric matches are not affected by continuity tests; consult the manufacturer for further information."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C15"
	arrQuestionList(qn, 1) = "In the event of a misfire how long should you wait before approaching the launch pad?"
	arrQuestionList(qn, 2) = "15 seconds"
	arrQuestionList(qn, 3) = "60 seconds"
	arrQuestionList(qn, 4) = "5 minutes"
	arrQuestionList(qn, 5) = "As soon as signs of smoke are gone"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Refer to paragraph 4.18.4 of NFPA 1127, 2008 edition, Section 5 in the NAR High Power Rocket safety code (revised 7/2008)."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C16"
	arrQuestionList(qn, 1) = "Which of the following is most likely to cause catastrophic failure of a black powder rocket motor?"
	arrQuestionList(qn, 2) = "Temperature cycling"
	arrQuestionList(qn, 3) = "Electromagnetic fields"
	arrQuestionList(qn, 4) = "Vibration"
	arrQuestionList(qn, 5) = "High altitude"
	arrQuestionList(qn, 6) = "A"
	arrQuestionList(qn, 7) = "The answer is A. Temperature cycling is the primary cause of black powder rocket motor catastrophic failure. Temperature cycling cause expansion and contraction of the black powder grain and motor casing causing delaminations between the case and propellant grain and cracks within the grain. These delaminations and cracks expose additional burning surface that increases combustion pressures. The result is a motor failure. Note that shock or vibration can also damage a black powder rocket motor, however thermal cycling is the most likely cause of failure. Refer to the May and June 1992 issue of American Spacemodeling magazine, page 10, the article A Theoretical Analysis of Why Black Powder Model Rocket Motors Fail."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C17"
	arrQuestionList(qn, 1) = "Unless the motor manufacturer instructs otherwise, igniters for clustered rocket motors should be wired together in:"
	arrQuestionList(qn, 2) = "Series"
	arrQuestionList(qn, 3) = "Parallel"
	arrQuestionList(qn, 4) = "Short Circuit"
	arrQuestionList(qn, 5) = "Open"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. If the igniters are wired in series the first igniter to burn out opens the circuit preventing any other igniters from receiving electrical power. Parallel connections allow all of the igniters to independently receive electrical power. Some motor manufacturers may suggest series connections for electric match-based ignition methods; always follow manufacturers instructions."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C18"
	arrQuestionList(qn, 1) = "When should igniters installed in rocket motors be checked for continuity?"
	arrQuestionList(qn, 2) = "Any time"
	arrQuestionList(qn, 3) = "Only in an enclosed shelter"
	arrQuestionList(qn, 4) = "Only on the launch pad when ready for launch"
	arrQuestionList(qn, 5) = "Igniters should never be checked for continuity while installed in a rocket motor."
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. Continuity is typically checked by the launch controller when the rocket is placed on the launch pad. This is considered safe practice because the number of personnel around the model is at a minimum and the model is pointed skyward which minimizes the hazard in the event of inadvertent ignition."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C19"
	arrQuestionList(qn, 1) = "Which of the following is the preferred method for attaching fins to a high power rocket?"
	arrQuestionList(qn, 2) = "Tube surface mounting"
	arrQuestionList(qn, 3) = "Wedge mount"
	arrQuestionList(qn, 4) = "Though the wall mounting"
	arrQuestionList(qn, 5) = "All fin mounting methods are all equally strong; it does not matter."
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. Through the wall mounting is stronger because the fin is supported and attached to the rocket at two locations. The fins are attached to the motor tube and the body tube. In cases where through the wall mounting is not usable wedge mounting may be possible. Wedge mounting places the fin at the junction of two tubes; this mounting is typically used in cluster models. Surface mounting, like that used in most model rocket kits, is not recommended for high power rockets."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C20"
	arrQuestionList(qn, 1) = "Which of the following adhesives should not be used on rubber (or elastic) shock cord components?"
	arrQuestionList(qn, 2) = "Slow-curing epoxy adhesives"
	arrQuestionList(qn, 3) = "Cyanoacrylate glues (super glue)"
	arrQuestionList(qn, 4) = "Aliphatic resin-based (yellow) glues"
	arrQuestionList(qn, 5) = "White Elmers glue"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Cyanoacrylate glues will chemically attack rubber or elastic shock cord components allowing them to break when stretched."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C21"
	arrQuestionList(qn, 1) = "Which of the following adhesives is most likely to be weakened under humid or wet weather conditions?"
	arrQuestionList(qn, 2) = "Slow-curing epoxy adhesives"
	arrQuestionList(qn, 3) = "Cyanoacrylate glues (super glue)"
	arrQuestionList(qn, 4) = "Aliphatic resin-based (yellow) glues"
	arrQuestionList(qn, 5) = "White Elmers glue"
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. White glues are weakened under high humidity conditions. Use aliphatic base (wood or carpenters) glues instead of white glue."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C22"
	arrQuestionList(qn, 1) = "Which of the following adhesives is the best choice for engine mount construction using phenolic motor tubes?"
	arrQuestionList(qn, 2) = "Slow-curing epoxy adhesives"
	arrQuestionList(qn, 3) = "Cyanoacrylate glues (super glue)"
	arrQuestionList(qn, 4) = "Aliphatic resin-based (yellow) glues"
	arrQuestionList(qn, 5) = "Hot melt adhesives"
	arrQuestionList(qn, 6) = "A"
	arrQuestionList(qn, 7) = "The answer is A. Epoxies can be used to easily form fillets at the bond joints which provides an increase in strength. Epoxies also bridge gaps in loose-fitting parts to improve bond strength. One caution when using epoxies is that they are relatively heavy; they can reduce model stability by making the model tail heavy. Cyanoacrylate glues are not recommended for engine mount construction because they tend to soak into paper/cardboard body tube materials and are poor gap fillers. Aliphatic resin (yellow) glues, when properly applied, can be used for cardboard, wood, and paper components, but do not bond as well to phenolic materials. Hot melt adhesives should never be used for engine mount applications because they weaken with heat."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C23"
	arrQuestionList(qn, 1) = "The centering rings provided with your high power kit are a loose fit around the phenolic motor tube. Which of the following adhesives is the best choice for a strong joint?"
	arrQuestionList(qn, 2) = "Slow-curing epoxy adhesives"
	arrQuestionList(qn, 3) = "Cyanoacrylate glues (super glue)"
	arrQuestionList(qn, 4) = "Aliphatic resin-based (yellow) glues"
	arrQuestionList(qn, 5) = "Hot melt adhesives"
	arrQuestionList(qn, 6) = "A"
	arrQuestionList(qn, 7) = "The answer is A. Epoxies can be used to easily form fillets at the bond joints which provides an increase in strength. Epoxies also bridge gaps in loose-fitting parts to improve bond strength. One caution when using epoxies is that they are relatively heavy; they can reduce model stability by making the model tail heavy. Cyanoacrylate glues are not recommended for engine mount construction because they tend to soak into paper/cardboard body tube materials and are poor gap fillers. Aliphatic resin (yellow) glues, when properly applied, can be used for cardboard, wood, and paper components, but do not bond as well to phenolic materials. Hot melt adhesives should never be used for engine mount applications because they weaken with heat."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C24"
	arrQuestionList(qn, 1) = "A small hole is typically recommended near the top, but below the nosecone or payload section shoulder, of a high power rockets booster section. Why?"
	arrQuestionList(qn, 2) = "This hole allows excessive ejection charge pressures to vent to reduce shock cord stress."
	arrQuestionList(qn, 3) = "The hole is used to give air pressure readings for on board altimeters."
	arrQuestionList(qn, 4) = "The hole vents internal air pressure as the rocket gains altitude to prevent internal air pressure from prematurely separating the model."
	arrQuestionList(qn, 5) = "The hole allows easy verification that a parachute is installed."
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. Air pressure external to the rocket decreases as the rocket ascends. Trapped pressure within the model can prematurely separate the model. The hole vents this internal air pressure to prevent separation. Note that the hole size is dependent on model size; larger models require larger holes. Use caution in locating the hole such that the nosecone (or stage coupler) does not block the hole. Also, position the hole such that ejection charge pressure is not vented before ejecting the recovery system from the body tube."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C25"
	arrQuestionList(qn, 1) = "When clustering combinations of black powder and composite motors, which type of rocket motor should be ignited first?"
	arrQuestionList(qn, 2) = "Composite rocket motors should be ignited first"
	arrQuestionList(qn, 3) = "Black powder rocket motors should be ignited first"
	arrQuestionList(qn, 4) = "It does not matter which motors are ignited first"
	arrQuestionList(qn, 5) = "Clusters should never mix composite and black powder motors"
	arrQuestionList(qn, 6) = "A"
	arrQuestionList(qn, 7) = "The answer is A. Composite rocket motors are slower to ignite than black powder motors. The concern is that the model will leave the launch pad before the composite motor has ignited."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C26"
	arrQuestionList(qn, 1) = "Why should composite motors be ignited first in a mixed composite and black powder cluster?"
	arrQuestionList(qn, 2) = "Composite motors are more difficult and take longer to ignite."
	arrQuestionList(qn, 3) = "Composite motors are more likely to cato than black powder motors"
	arrQuestionList(qn, 4) = "The exhaust products from black powder motors prevent composite motor ignition."
	arrQuestionList(qn, 5) = "Composite rocket motors are more powerful than black powder motors"
	arrQuestionList(qn, 6) = "A"
	arrQuestionList(qn, 7) = "The answer is A. Composite rocket motors are slower to ignite than black powder motors. The concern is that the model will leave the launch pad before the composite motor has ignited."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C27"
	arrQuestionList(qn, 1) = "If individual igniters are used for igniting a clustered models motors which of the following statements is typically true:"
	arrQuestionList(qn, 2) = "The launch control must have an audible as well as visual indication of igniter continuity."
	arrQuestionList(qn, 3) = "The launch control must provide additional current to ignite the additional igniters."
	arrQuestionList(qn, 4) = "The launch control must provide higher voltage to ignite the additional igniters."
	arrQuestionList(qn, 5) = "The launch control must use a car battery as a power source"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Parallel wiring used in cluster ignition models shares the current among all the igniters. If the ignition circuit is marginal those igniters which are slightly more sensitive will ignite before their mates. The model may leave the launcher prior to full ignition of the cluster. Common practice is to use a battery which can deliver higher currents than dry cells; automotive, motorcycle, and gell cell batteries are common. Increased voltage will not significantly improve cluster ignition reliability. House voltage, 110 volts AC, should never be used for ignition systems."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C28"
	arrQuestionList(qn, 1) = "What is (are) the advantages of using a relay type launch control?"
	arrQuestionList(qn, 2) = "It is cheaper than a non-relay launch control"
	arrQuestionList(qn, 3) = "The relay allows a better indication of igniter continuity"
	arrQuestionList(qn, 4) = "It can deliver more power to the rocket motor igniters"
	arrQuestionList(qn, 5) = "Both B and C above"
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. A relay launch system uses a relay to switch the power needed for rocket motor ignition. The battery is usually placed adjacent to the launch pad which allows for shorter power wires. The shorter power wires minimize the normal loss of power that occurs over long wire lengths (remember that several hundred feet of wire may be required to reach a high power launch pad). The wires going to the launch officer only carry the power required to operate the relay; this power is typically much less than that required by an igniter."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C29"
	arrQuestionList(qn, 1) = "Petroleum based lubricants should not be used with the oxygen or nitrous oxide systems used in hybrids. Why?"
	arrQuestionList(qn, 2) = "They thicken when exposed to oxygen or nitrous oxide."
	arrQuestionList(qn, 3) = "They lose their lubricating properties when exposed to oxygen or nitrous oxide."
	arrQuestionList(qn, 4) = "There is a risk of spontaneous ignition or explosion."
	arrQuestionList(qn, 5) = "The lubricant can promote corrosion of the metal components in the presence oxygen or nitrous oxide."
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. Petroleum lubricants are a fuel. Oxygen rich environments are more likely to promote combustion."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C30"
	arrQuestionList(qn, 1) = "Which of the following safety hazards may be associated with hybrid rocket motors?"
	arrQuestionList(qn, 2) = "High pressure gas, low temperatures (frostbite)"
	arrQuestionList(qn, 3) = "Low temperatures (frostbite)"
	arrQuestionList(qn, 4) = "Corrosive materials"
	arrQuestionList(qn, 5) = "High pressure gas"
	arrQuestionList(qn, 6) = "A"
	arrQuestionList(qn, 7) = "The answer is A. The pressure within a nitrous oxide cylinder used with hybrid rocket motors is approximately 750 psi. When filling or venting the nitrous oxide cylinder individuals need to use caution to avoid having high pressure gas or liquid impinge on skin or eyes. Oxidizer cylinders need to be inspected after crashes for damage that may compromise their structural integrity. Nitrous oxide boils at -127 degrees F. Partially filling and allowing the liquid to drain (boil-off) from a nitrous oxide cylinder is a technique used to prechill the nitrous oxide cylinder in some motor applications (called shock chilling). The low temperatures achievable through this method may present a hazard to exposed skin."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C31"
	arrQuestionList(qn, 1) = "The range safety officer says that your model is unsafe to fly. Who has the authority to overturn this ruling:"
	arrQuestionList(qn, 2) = "The Launch Control Officer (LCO)"
	arrQuestionList(qn, 3) = "The individual who checked-in the model"
	arrQuestionList(qn, 4) = "Three certified high power fliers who agree the model is safe"
	arrQuestionList(qn, 5) = "The safety monitors (RSO) decision cannot be overturned by anybody"
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. The range safety officers decision is final. If the flier can produce additional information which shows the safety of the model, e.g. simulations, previous flight data, then the flier should present the information to the range safety officer."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C32"
	arrQuestionList(qn, 1) = "Parachute ejection systems that sense barometric pressure for activation need a vent to the outside in their compartment because:"
	arrQuestionList(qn, 2) = "This hole allows excessive ejection charge pressures to vent"
	arrQuestionList(qn, 3) = "The hole is used to give outside air pressure readings"
	arrQuestionList(qn, 4) = "The hole vents internal air pressure as the rocket gains altitude to prevent internal air pressure from prematurely separating the model."
	arrQuestionList(qn, 5) = "The hole allows easy verification that the battery is installed"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Air pressure external to the rocket decreases as the rocket ascends. Most barometric ejection systems trigger after detecting a minimum in the outside barometric pressure (which happens near apogee). The hole allows the sensor to see the outside pressure. Use caution in locating the hole such that the nosecone (or stage coupler) does not block the hole."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C33"
	arrQuestionList(qn, 1) = "Which of the following individuals has the final authority in permitting a high power rocket to fly?"
	arrQuestionList(qn, 2) = "The launch control officer (LCO)"
	arrQuestionList(qn, 3) = "The range safety officer (RSO)"
	arrQuestionList(qn, 4) = "The check-in officer"
	arrQuestionList(qn, 5) = "The rocket owner"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. The range safety officers decision is final."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C34"
	arrQuestionList(qn, 1) = "Which of the following individuals has the ultimate responsibility to ensure that the rocket was built in a safe manner?"
	arrQuestionList(qn, 2) = "The launch control officer (LCO)"
	arrQuestionList(qn, 3) = "The safety monitor (range safety officer or RSO)"
	arrQuestionList(qn, 4) = "The rocket owner/builder"
	arrQuestionList(qn, 5) = "All of the above"
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. Range personnel can do inspections to catch lapses in construction quality or rocket design errors but the owner/builder bears all responsibility for the goodness and safety of the model."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C35"
	arrQuestionList(qn, 1) = "Parachute ejection systems that sense barometric pressure can malfunction during supersonic flight because:"
	arrQuestionList(qn, 2) = "Aerodynamic heating changes the values of electronic components"
	arrQuestionList(qn, 3) = "The outside pressure distribution is not continuous around the model"
	arrQuestionList(qn, 4) = "Static discharges will zap sensitive electronic components"
	arrQuestionList(qn, 5) = "Both answers A and B are correct"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. During supersonic flight shock waves are generated off various model features. The pressure distribution across the shock wave is not continuous. The pressure change across the shock wave may fool the ejection system logic causing a premature ejection."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C36"
	arrQuestionList(qn, 1) = "Your rocket was returned from its flight with zipper damage where the shock cord tore through the model. What is the most likely cause:"
	arrQuestionList(qn, 2) = "Parachute ejection occurred too soon after motor burnout"
	arrQuestionList(qn, 3) = "Parachute ejection occurred too late after apogee"
	arrQuestionList(qn, 4) = "Parachute ejection occurred at apogee on a vertical flight"
	arrQuestionList(qn, 5) = "Both A and B"
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. Zippers are caused when the model is moving too quickly during parachute deployment. Ejection too soon after burnout does not allow the model to slow down. Ejection too late after apogee allows the model to gain velocity. Ejection at apogee is best because the model velocity is lowest. Even then, a zipper can occur if the horizontal velocity of the rocket is high enough (due to weathercocking, for example)."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C37"
	arrQuestionList(qn, 1) = "Your payload section, with heavy payload, separated from your model immediately after motor burnout. What might be the cause?"
	arrQuestionList(qn, 2) = "The center of pressure at burnout was behind the center of gravity for the model"
	arrQuestionList(qn, 3) = "The payload shoulder was too loose in the body tube"
	arrQuestionList(qn, 4) = "The rocket motor had a failure of its delay system"
	arrQuestionList(qn, 5) = "Both B and C are correct."
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. Delay train failures do happen and can cause this problem. More often, though, drag separation causes this problem and is mistaken for a motor failure. Drag separation is caused by the drag on the aft section of the model being higher than the drag of the forward section. The difference in drag causes the aft section to be pulled away from the forward section. This problem is more pronounced with heavier forward sections because the momentum of the forward section tends to carry it away. Preflight inspection should confirm that the forward section cannot separate under its own weight. More sophisticated models will use some form of positive retention, e.g. shear pins, to prevent premature separation."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C38"
	arrQuestionList(qn, 1) = "What is the distance around a launcher for a J powered model that must be cleared of easy to burn material, assuming the motor isnt sparky?"
	arrQuestionList(qn, 2) = "10 feet"
	arrQuestionList(qn, 3) = "30 feet"
	arrQuestionList(qn, 4) = "50 feet"
	arrQuestionList(qn, 5) = "75 feet"
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. Refer to paragraph 4.15.1 of NFPA 1127, 2008 edition, and Section 7 and the safe distance table in the NAR High Power Rocket safety code (revised 7/2007)."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C39"
	arrQuestionList(qn, 1) = "What is the distance around a launcher for a rocket using a 3-engine cluster of J motors that must be cleared of easy to burn material, assuming the motors arent sparky?"
	arrQuestionList(qn, 2) = "10 feet"
	arrQuestionList(qn, 3) = "30 feet"
	arrQuestionList(qn, 4) = "50 feet"
	arrQuestionList(qn, 5) = "75 feet"
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. Refer to paragraph 4.15.1 of NFPA 1127, 2008 edition, and Section 7 and the safe distance table in the NAR High Power Rocket safety code (revised 7/2007)."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C40"
	arrQuestionList(qn, 1) = "What is the distance around a launcher for a rocket using a single J motor that burns a titanium sponge to emit sparks?"
	arrQuestionList(qn, 2) = "30 feet"
	arrQuestionList(qn, 3) = "50 feet"
	arrQuestionList(qn, 4) = "75 feet"
	arrQuestionList(qn, 5) = "150 feet"
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. Refer to paragraph 4.15.2 of NFPA 1127, 2008 edition, and Section 7 and the safe distance table in the NAR High Power Rocket safety code (revised 7/2007)."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C41"
	arrQuestionList(qn, 1) = "What is titanium sponge?"
	arrQuestionList(qn, 2) = "A substitute for ejection wadding"
	arrQuestionList(qn, 3) = "An ingredient used in some rocket motors that causes them to eject sparks in the exhaust"
	arrQuestionList(qn, 4) = "An effective cleaning tool for high power rocket motor casings"
	arrQuestionList(qn, 5) = "A lightweight material used in nose cones on supersonic rockets"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C42"
	arrQuestionList(qn, 1) = "Consequences of inadequate motor retention can include"
	arrQuestionList(qn, 2) = "The motor being ejected at apogee instead of the parachute, resulting in two falling objects."
	arrQuestionList(qn, 3) = "The motor being ejected from a cluster, and flying on its own, under power."
	arrQuestionList(qn, 4) = "The motor flying through the rocket, destroying it."
	arrQuestionList(qn, 5) = "All of the above."
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. The most common result of inadequate motor retention is that the motor is ejected when the deployment charge fires. A free-falling HPR motor is a safety hazard, and the rocket may not eject its recovery system and also become a hazard. There have been documented cases of motors falling out of cluster mounts and then igniting, turning them into missiles. It is important to provide good retention in both directions, as motors can also break loose and fly through the rocket during boost."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C43"
	arrQuestionList(qn, 1) = "According to NAR studies, the vast majority of unsuccessful flights fail because of"
	arrQuestionList(qn, 2) = "Rocket designs that are unstable"
	arrQuestionList(qn, 3) = "Rocket motor malfunctions"
	arrQuestionList(qn, 4) = "Recovery system failures"
	arrQuestionList(qn, 5) = "Rockets that are structurally unsound."
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. 75% of flight failures are due to recovery system problems. See chapter two of Launching Safely in the 21st Century: Final Report of the Special Committee on Range Operation and Procedure to the National Association of Rocketry."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C44"
	arrQuestionList(qn, 1) = "The kinetic energy of a descending rocket is a function of"
	arrQuestionList(qn, 2) = "Its mass"
	arrQuestionList(qn, 3) = "Its velocity"
	arrQuestionList(qn, 4) = "Its mass times its velocity."
	arrQuestionList(qn, 5) = "Its mass times the square of its velocity."
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. Kinetic energy is a function of 1/2 the mass times the square of the velocity (KE=1/2mvA2) . A forty pound rocket at 30 feet per second has a KE of one half times (18.1 kg) times 9.1 meters per second squared, or 759 joules. A bowling ball has about 58 joules, a batted ball has about 147 joules, a .357 Magnum has about 740 joules, and a fall from a second floor window has about 3780 joules. See chapter two of Launching Safely in the 21st Century: Final Report of the Special Committee on Range Operation and Procedure to the National Association of Rocketry."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C45"
	arrQuestionList(qn, 1) = "You have an excellent flying field, except that when the winds are from the northwest at over 10 mph, rockets often drift into neighboring fields where you dont have permission to fly. Your alternatives include:"
	arrQuestionList(qn, 2) = "Limit flights to lower altitudes so rockets stay on the field"
	arrQuestionList(qn, 3) = "Move the launch pad closer to the NW edge of the field, provided there are no roads or houses within 1500 feet"
	arrQuestionList(qn, 4) = "Dont fly on days with problematic winds"
	arrQuestionList(qn, 5) = "All of the above."
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. See Section 13 of the NAR High Power Rocket safety code (revised 7/2007), and paragraph 4.17.1 of NFPA 1127, 2008 edition. Other alternatives include using dual deployment, smaller parachutes, and tilted launch rods."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C46"
	arrQuestionList(qn, 1) = "Your rocket has an altimeter for deployment, and youve installed a switch to interrupt the current path from the altimeter to the ejection charges. When may you turn on the altimeter?"
	arrQuestionList(qn, 2) = "When the rocket is at the pad or at an RSO-designated area."
	arrQuestionList(qn, 3) = "To demonstrate the altimeter to the RSO at check-in."
	arrQuestionList(qn, 4) = "To check continuity after loading the charges in the prep area."
	arrQuestionList(qn, 5) = "At apogee."
	arrQuestionList(qn, 6) = "A"
	arrQuestionList(qn, 7) = "The answer is A. See Section 4 of the NAR High Power Rocket safety code (revised 7/2007). Note that many altimeters require that the rocket be on the pad, in a vertical orientation, in order to properly initialize: Always follow manufacturers instructions!"
	qn = qn + 1

	arrQuestionList(qn, 0) = "C47"
	arrQuestionList(qn, 1) = "What equipment is required at launch sites?"
	arrQuestionList(qn, 2) = "Fire Suppression devices such as fire extinguishers"
	arrQuestionList(qn, 3) = "First aid kits"
	arrQuestionList(qn, 4) = "Fire suppression devices and First aid kits"
	arrQuestionList(qn, 5) = "Fire suppression devices, First aid kits, and a way of communicating with everyone on the launch site."
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. See Section 6 of the NAR High Power Rocket safety code (revised 7/2007), and paragraphs 4.14.3 and 4.18.3.1 of NFPA 1127, 2008 edition."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C48"
	arrQuestionList(qn, 1) = "You have an unproven design for a high power rocket. Which of the following is NOT an acceptable means to ensure that it is safe to fly?"
	arrQuestionList(qn, 2) = "Fly it as a heads up flight on the first flight."
	arrQuestionList(qn, 3) = "Fly a smaller (non-HPR) scale model."
	arrQuestionList(qn, 4) = "Perform a swing test."
	arrQuestionList(qn, 5) = "Use a simulation program."
	arrQuestionList(qn, 6) = "A"
	arrQuestionList(qn, 7) = "The answer is A. See Section 6 of the NAR High Power Rocket safety code (revised 7/2007), and paragraph 4.8.2 of NFPA 1127, 2008 edition."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C49"
	arrQuestionList(qn, 1) = "Your high-power rocket lands in a power line. Which of the following is true?"
	arrQuestionList(qn, 2) = "You can retrieve it if the power line is on a wooden (not metal) pole."
	arrQuestionList(qn, 3) = "You must leave it alone and you must call the power company."
	arrQuestionList(qn, 4) = "You can retrieve it if you have a non-conductive tool, such as a hot-stick."
	arrQuestionList(qn, 5) = "You can retrieve it if part of it is already on the ground."
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. See Section 13 of the NAR High Power Rocket safety code (revised 7/2007), and paragraph 4.10.5 and 4.10.6 of NFPA 1127, 2008 edition."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C50"
	arrQuestionList(qn, 1) = "Your field is 1500 x 1500 feet, and your FAA waiver is 3000 feet AGL. If you use parachutes sized to bring your rocket down at 20 feet per second, what is the maximum wind you can fly in for rockets that fly to the waiver altitude?"
	arrQuestionList(qn, 2) = "You are limited only by the HPR maximum wind of 20 miles per hour."
	arrQuestionList(qn, 3) = "You can fly at 15 mph, if you have the pads at the upwind edge of the field and tilt into the wind."
	arrQuestionList(qn, 4) = "You can fly in winds up to about 6 miles an hour, if you have the pads at the upwind edge of the field and the rocket flies vertically."
	arrQuestionList(qn, 5) = "This field can only be used in calm winds for flights to the waiver altitude."
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. With a 20 feet per second descent rate, a rocket takes 150 seconds to fall 3000 feet. In 20 mph (30 fps) winds, the rocket will drift 4400 feet downwind, and out of your launch site, which is contrary to Section 13 of the NAR High Power Rocket safety code (revised 7/2007), and paragraph 4.17.1 of NFPA 1127, 2008 edition. Placing the rocket at the edge of the launch site and launching into the wind may keep the recovery on the field, but it means the ascending trajectory is beyond the boundaries of the launch site, contrary to Section 9 of the NAR High Power Rocket safety code (revised 7/2007), and paragraph 4.17.1 of NFPA 1127, 2008 edition. At six miles per hour, the rocket will travel 1320 feet horizontally, and you may be able to fly within the boundaries of the launch site."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C51"
	arrQuestionList(qn, 1) = "When can launch organizers operate in violation of the NAR Safety Code?"
	arrQuestionList(qn, 2) = "The property owner consents."
	arrQuestionList(qn, 3) = "The local authorities give written permission."
	arrQuestionList(qn, 4) = "Local laws are followed and two thirds of the NAR Board of Trustees give written permission for a project that offers commensurate levels of safety."
	arrQuestionList(qn, 5) = "Never."
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. In unusual circumstances, when launch organizers can demonstrate equal or better safety can be maintained, the NAR Board of Trustees can approve an alternate method of compliance with the spirit of the safety code. It takes a two-thirds majority, and local laws have to be complied with. Local laws almost always allow for a similar waiver of regulations to be granted, so it is in theory possible for a launch to be conducted that would otherwise violate some provision of NFPA 1127. This gives Association members a way to conduct launches to explore, among other things, the effectiveness of the safety code itself. It also removes any excuse for NOT following the safety code!"
	qn = qn + 1

	arrQuestionList(qn, 0) = "C52"
	arrQuestionList(qn, 1) = "Which of the following is not a required feature of a rocket motor ignition system?"
	arrQuestionList(qn, 2) = "A removable interlock device is in series with the launch switch."
	arrQuestionList(qn, 3) = "The system is electrically operated."
	arrQuestionList(qn, 4) = "The launching switch will return to the off position when released."
	arrQuestionList(qn, 5) = "An audible or visual indicator shows continuity through the rocket motor igniter."
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. Refer to NFPA 1127, 2008 edition, paragraphs 4.13.1 and 4.13.2."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C53"
	arrQuestionList(qn, 1) = "Which of the following are prohibited activities for participants prepping or launching high power rockets and for spectators in the prepping areas?"
	arrQuestionList(qn, 2) = "Consumption of alcohol"
	arrQuestionList(qn, 3) = "Use of medication that could affect judgment, movement, or stability"
	arrQuestionList(qn, 4) = "Both A and B above"
	arrQuestionList(qn, 5) = "None of the above"
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. Refer to NFPA 1127, 2008 edition, paragraph 6.1 (11)."
	qn = qn + 1

	arrQuestionList(qn, 0) = "C54"
	arrQuestionList(qn, 1) = "High power rocket motors, motor reloading kits, and pyrotechnic modules shall be stored at least _______ away from smoking, open flames, and other sources of heat."
	arrQuestionList(qn, 2) = "10 feet"
	arrQuestionList(qn, 3) = "25 feet"
	arrQuestionList(qn, 4) = "50 feet"
	arrQuestionList(qn, 5) = "75 feet"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Refer to paragraph 4.19.1 of NFPA 1127, 2008 edition."
	qn = qn + 1

	'section D
	arrQuestionList(qn, 0) = "D1"
	arrQuestionList(qn, 1) = "For a rocket to be stable which of the following statements is true?"
	arrQuestionList(qn, 2) = "The center of pressure (CP) must be behind the center of gravity (CG)."
	arrQuestionList(qn, 3) = "The center of pressure (CP) must be in front of the center of gravity (CG)."
	arrQuestionList(qn, 4) = "The rocket must have fins."
	arrQuestionList(qn, 5) = "The length of the body tube must be at least 5 times the model diameter."
	arrQuestionList(qn, 6) = "A"
	arrQuestionList(qn, 7) = "The answer is A. Refer to the Handbook of Model Rocketry by G. Harry Stine, 6th edition, Chapter 9 on Stability. Note references on pages 137 and 138."
	qn = qn + 1

	arrQuestionList(qn, 0) = "D2"
	arrQuestionList(qn, 1) = "An unstable rocket can be made stable by:"
	arrQuestionList(qn, 2) = "Adding sufficient weight to the nosecone"
	arrQuestionList(qn, 3) = "Removing sufficient weight from the nosecone"
	arrQuestionList(qn, 4) = "Moving the fins sufficiently forward towards the nosecone"
	arrQuestionList(qn, 5) = "Making the rocket sufficiently shorter"
	arrQuestionList(qn, 6) = "A"
	arrQuestionList(qn, 7) = "The answer is A. To make the rocket stable the center of gravity (C.G.) must be moved forward of the center of pressure (C.P.). Adding weight to the nosecone moves the C.G. forward. Removing weight from the nosecone moves the C.G. aft which is incorrect. Moving the fins forward towards the nosecone moves the C.P. forward which is also incorrect. Finally, making the rocket shorter reduces the correcting moments produced by the aerodynamic forces at the C.P.; the reduced moment makes the rocket less stable."
	qn = qn + 1

	arrQuestionList(qn, 0) = "D3"
	arrQuestionList(qn, 1) = "Rocket stability can be estimated by:"
	arrQuestionList(qn, 2) = "Center of pressure Barrowman equations"
	arrQuestionList(qn, 3) = "Cardboard cutout method"
	arrQuestionList(qn, 4) = "Determining the relative positions of the center of pressure and center of gravity"
	arrQuestionList(qn, 5) = "Stability cannot be estimated before a test flight."
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. Refer to the Handbook of Model Rocketry by G. Harry Stine, 6th edition, Chapter 9 on Stability. Note Figure 9-6 on page 138. Center of pressure equations and the cardboard cutout method only allow you to determine the center of pressure of the model; the center of gravity location must also be known to determine stability."
	qn = qn + 1

	arrQuestionList(qn, 0) = "D4"
	arrQuestionList(qn, 1) = "A rockets center of pressure can be estimated by:"
	arrQuestionList(qn, 2) = "The Barrowman method"
	arrQuestionList(qn, 3) = "Finding the point where the model balances"
	arrQuestionList(qn, 4) = "Cardboard cutout method"
	arrQuestionList(qn, 5) = "Both A and C above"
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. The Barrowman method is a set of equations developed by J. Barrowman for estimating model rocket stability. More sophisticated methods are available to cover conditions not covered by the Barrowman method, e.g. supersonic flight. Refer to the Handbook of Model Rocketry by G. Harry Stine, 6th edition, Chapter 9 on Stability. Note references on pages 140 and 14, Appendix II, and Appendix IV."
	qn = qn + 1

	arrQuestionList(qn, 0) = "D5"
	arrQuestionList(qn, 1) = "An unstable rocket can usually be made more stable by:"
	arrQuestionList(qn, 2) = "Using a shorter nosecone"
	arrQuestionList(qn, 3) = "Increasing the size of the aft fins"
	arrQuestionList(qn, 4) = "Using a larger, heavier rocket motor"
	arrQuestionList(qn, 5) = "Increasing the rocket diameter"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. To make the rocket stable the center of pressure (C.P.) must be moved aft of the center of gravity (C.G.). Adding larger fins on the aft portion of the model moves the center of pressure aft. A shorter nosecone removes weight from the nose moving the C.G. aft which is incorrect. A larger, heavier rocket motor has the same affect of moving the C.G. aft. Finally, increasing the rocket diameter has essentially no effect on its stability."
	qn = qn + 1

	arrQuestionList(qn, 0) = "D6"
	arrQuestionList(qn, 1) = "During boost a rocket powered by a solid rocket motor tends to become:"
	arrQuestionList(qn, 2) = "Less stable in flight"
	arrQuestionList(qn, 3) = "More stable in flight"
	arrQuestionList(qn, 4) = "No change in stability"
	arrQuestionList(qn, 5) = "Unstable"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. During powered flight the solid rocket motor consumes its fuel causing the aft end of the rocket to become lighter. This moves the C.G. forward and enhances stability. This can be seen in instances where a unstable rocket becomes stable partway during the rocket motor burn; this is also particularly dangerous because the now stable rocket may be pointed in any direction."
	qn = qn + 1

	arrQuestionList(qn, 0) = "D7"
	arrQuestionList(qn, 1) = "Which of the following can cause unstable flight?"
	arrQuestionList(qn, 2) = "Weak tubes or couplers that permit airframe bending."
	arrQuestionList(qn, 3) = "Misaligned motor mount tube or motor nozzle."
	arrQuestionList(qn, 4) = "Inadequate airspeed leaving the launch tower on a breezy day."
	arrQuestionList(qn, 5) = "All of the above."
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. Rockets that bend in flight can loop under power, as can rockets with misaligned thrust vectors caused by crooked motor tubes or nozzles. Rockets that launch too slowly may be subjected to high angles of attack due to the wind. High angles of attack move the CP forward, which can cause a rocket to go unstable. In addition, slow airspeed means that the corrective action of the fins may not be sufficient to compensate for forces causing pitch or yaw."
	qn = qn + 1

	arrQuestionList(qn, 0) = "D8"
	arrQuestionList(qn, 1) = "As a rule of thumb, how far should the center of pressure be from the center of gravity?"
	arrQuestionList(qn, 2) = "The center of pressure should be at the same location as the center of gravity."
	arrQuestionList(qn, 3) = "The center of pressure should be at least 1.0 body tube diameters behind the center of gravity."
	arrQuestionList(qn, 4) = "The center of pressure should be at least 1.0 body tube diameters ahead of the center of gravity."
	arrQuestionList(qn, 5) = "The center of pressure should be 1.0 body tube diameters ahead of the fin leading edge; the center of gravity does not matter."
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Refer to the Handbook of Model Rocketry by G. Harry Stine, 6th edition, Chapter 9 on Stability. Note references on pages 141 through 146."
	qn = qn + 1

	'section E
	arrQuestionList(qn, 0) = "E1"
	arrQuestionList(qn, 1) = "What does the H in the motor designation H100-5 stand for?"
	arrQuestionList(qn, 2) = "It is the first letter in the manufacturers name."
	arrQuestionList(qn, 3) = "It indicates the total power range or impulse range of the rocket motor."
	arrQuestionList(qn, 4) = "It indicates the total thrust of the rocket motor."
	arrQuestionList(qn, 5) = "It indicates that the motor uses black powder as a propellant."
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. In a rocket motor designation the alphabetic character indicates the total impulse (or total power) for the rocket motor. High power rocket motors are rated as follows:" & vbCrLf & "H 160.01 to 320.00 Newton-seconds" & vbCrLf & "I  320.01 to 640.00 Newton-seconds" & vbCrLf & "J  640.01 to 1280.00 Newton-seconds" & vbCrLf & "K 1280.01 to 2560.00 Newton-seconds" & vbCrLf & "L  2560.01 to 5120.00 Newtonseconds" & vbCrLf & "M 5120.01 to 10240.00 Newton-seconds" & vbCrLf & "N 10240.01 to 20480.00 Newton-seconds" & vbCrLf & "0  20480.01 to 40960.00 Newton-seconds" & vbCrLf & "Note that the total allowable impulse doubles with each letter class."
	qn = qn + 1

	arrQuestionList(qn, 0) = "E2"
	arrQuestionList(qn, 1) = "What does the 100 in the motor designation H100-5 stand for?"
	arrQuestionList(qn, 2) = "It is the peak thrust in pounds of the rocket motor."
	arrQuestionList(qn, 3) = "It is the rocket motor burn time in seconds."
	arrQuestionList(qn, 4) = "It is the average thrust in Newtons of the rocket motor."
	arrQuestionList(qn, 5) = "It is the manufacturers retail price code."
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. In a rocket motor designation the number before the dash is the average thrust in Newtons of the rocket motor. Divide this number by 4.45 for the average thrust in pounds."
	qn = qn + 1

	arrQuestionList(qn, 0) = "E3"
	arrQuestionList(qn, 1) = "What does the 5 in the motor designation H100-5 stand for?"
	arrQuestionList(qn, 2) = "It is the rocket motor burn time."
	arrQuestionList(qn, 3) = "It is the peak thrust (in kilograms) of the rocket motor."
	arrQuestionList(qn, 4) = "It is the average thrust of the rocket motor."
	arrQuestionList(qn, 5) = "It is the ejection charge delay time."
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. In the standard designation system for rocket motors the number after the dash indicates the delay in seconds between rocket motor burnout and ejection charge operation. Note that a 0 (zero) delay indicates a booster rocket motor; the propellant grain is exposed and no delay or ejection charge is used. A P may also be used; this indicates that the end of the motor where the ejection charge and delay train normally reside is plugged."
	qn = qn + 1

	arrQuestionList(qn, 0) = "E4"
	arrQuestionList(qn, 1) = "What are the units of measurement for the 100 in the motor designation H100-5?"
	arrQuestionList(qn, 2) = "Newtons per second"
	arrQuestionList(qn, 3) = "Newtons"
	arrQuestionList(qn, 4) = "Newton-seconds"
	arrQuestionList(qn, 5) = "feet per second"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. In a rocket motor designation the number before the dash is the average thrust in Newtons of the rocket motor. Divide this number by 4.45 for the average thrust in pounds."
	qn = qn + 1

	arrQuestionList(qn, 0) = "E5"
	arrQuestionList(qn, 1) = "What is the maximum total impulse for a J rocket motor?"
	arrQuestionList(qn, 2) = "320.00 Newton-seconds"
	arrQuestionList(qn, 3) = "640.00 Newton-seconds"
	arrQuestionList(qn, 4) = "1280.00 Newton-seconds"
	arrQuestionList(qn, 5) = "2560.00 Newton-seconds"
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. J class motors are from 640.01 to 1280.00 Newton-seconds."
	qn = qn + 1
 
	arrQuestionList(qn, 0) = "E6"
	arrQuestionList(qn, 1) = "Assuming that each motor has the full allowable impulse, how many H motors have the same total impulse as a single J motor?"
	arrQuestionList(qn, 2) = "3"
	arrQuestionList(qn, 3) = "1"
	arrQuestionList(qn, 4) = "2"
	arrQuestionList(qn, 5) = "4"
	arrQuestionList(qn, 6) = "D"
	arrQuestionList(qn, 7) = "The answer is D. An H motor has a maximum allowable total impulse of 320.00 Newtonseconds and a J motor has a maximum total impulse of 1280.00 Newton-seconds thus it takes 4 Hs to equal 1 J"
	qn = qn + 1

	arrQuestionList(qn, 0) = "E7"
	arrQuestionList(qn, 1) = "You have an H64-8 rocket motor which has been certified to have a total impulse of 320.00 Newton seconds. What is the approximate burn time for this motor?"
	arrQuestionList(qn, 2) = "3 seconds"
	arrQuestionList(qn, 3) = "5 seconds"
	arrQuestionList(qn, 4) = "8 seconds"
	arrQuestionList(qn, 5) = "10 seconds"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. Divide the total impulse by the average thrust to determine the motor burn time. 320 (Newton-seconds) = 5 (seconds) 64 (Newtons)"
	qn = qn + 1

	arrQuestionList(qn, 0) = "E8"
	arrQuestionList(qn, 1) = "The manufacturers test data shows a total impulse of 690 Newton-seconds for your motor. What impulse class does your motor represent?"
	arrQuestionList(qn, 2) = "H"
	arrQuestionList(qn, 3) = "I"
	arrQuestionList(qn, 4) = "J"
	arrQuestionList(qn, 5) = "K"
	arrQuestionList(qn, 6) = "C"
	arrQuestionList(qn, 7) = "The answer is C. J class motors are from 640.01 to 1280.00 Newton-seconds."
	qn = qn + 1

	arrQuestionList(qn, 0) = "E9"
	arrQuestionList(qn, 1) = "The manufacturers test data shows an average thrust of 100 Newtons for 6 seconds for your motor. What impulse class does your motor represent?"
	arrQuestionList(qn, 2) = "H"
	arrQuestionList(qn, 3) = "I"
	arrQuestionList(qn, 4) = "J"
	arrQuestionList(qn, 5) = "K"
	arrQuestionList(qn, 6) = "B"
	arrQuestionList(qn, 7) = "The answer is B. The total impulse is calculated by multiplying the average thrust by time. In this case the total impulse is 600 Newton seconds. I class motors are from 320.01 to 640.00 Newton-seconds."
	qn = qn + 1

end sub 'FillArray
